Do you know of a way to verify the version of the RSA ACE Client in use by the Policy Server?

Document ID : KB000045661
Last Modified Date : 14/02/2018
Show Technical Document Details

Question: 

- How do I check the RSA ACE Client library version installed on the Policy Server?

 

Answer:

           - Run the following command to check the version. Last line would show the version info.

 

 

$ strings libaceclnt.so | grep -i version 

 

AceGetAuthAttr(): This attribute type is not supported in this version. 

AceSetAuthAttr(): The Download Dayfiles attribute type is not supported in this version. 

DeleteFromUserList() [0x%08.8X] version=%d, type=%s, %d tsec 

cread_status_file: Invalid file version or CRC-32 for %s file 

Leaving creadcfg_file: Failed to read config. Bad Version 

Leaving BuildPacket_v61() current version below 

BuildPacket_v61() [0x%08.8X] message type=%s (not versioned) apid=%d 

Leaving decrypts_ok(), protocol version %d not supported 

@(#)RSA ACE/Agent Version 8.1.2 [531] 10_07_13_15_18_41 

 

 

Additional Information: